### AppImage Minetest Podman

This script was created so that you can generate your own appimage without cluttering your system with minetest compilation dependencies, without having to blindly trust the appimage created by a third party.

The dependencies for this project are:<br/>
make <br/>
podman

The script will compile the most recent source code provided by the minetest repository itself, download the program responsible for generating the appimage and create the executable, all within a podman container, after which, as informed in the Makefile, it will copy the appimage to the project folder, at the end of creating the appimage, the Makefile will also remove the container and the image, after all, you will no longer need this after having the appimage.

Usage is simple, just clone this repository locally and run: <br/>
make <br/>
make will do all the heavy lifting (as long as the given dependencies are satisfied) <br/>
./minetest.AppImage <br/>
minetest.AppImage is the executable, just run ./minetest.AppImage or double click on the file to run
