FROM debian
ENV VERSION=5.9.0

RUN apt update; apt install file wget squashfs-tools git g++ make libc6-dev cmake libpng-dev libjpeg-dev libxi-dev libgl1-mesa-dev libsqlite3-dev libogg-dev libvorbis-dev libopenal-dev libcurl4-gnutls-dev libfreetype6-dev zlib1g-dev libgmp-dev libjsoncpp-dev libzstd-dev libluajit-5.1-dev gettext -y ; git clone --depth 1 https://github.com/minetest/minetest.git ; cd minetest ; git clone --depth 1 --branch "$(cat misc/irrlichtmt_tag.txt)" https://github.com/minetest/irrlicht.git lib/irrlichtmt ; mkdir -p minetest.AppDir/usr/ ; cmake -DCMAKE_INSTALL_PREFIX=minetest.AppDir/usr/ . ; make -j$(nproc) ; make install

RUN cd /minetest/minetest.AppDir/ ; echo "[Desktop Entry]\nName=Minetest\nExec=minetest\nIcon=minetest\nType=Application\nCategories=Utility" > minetest.desktop ; wget https://www.minetest.net/media/icon.svg -O minetest.svg ; wget https://github.com/AppImage/AppImageKit/releases/download/continuous/AppRun-x86_64 -O AppRun ; chmod +x AppRun ; cd .. ; wget https://github.com/AppImage/AppImageKit/releases/download/continuous/appimagetool-x86_64.AppImage ; chmod +x appimagetool-x86_64.AppImage ; ./appimagetool-x86_64.AppImage --appimage-extract-and-run minetest.AppDir/ minetest.AppImage
